> For the complete documentation index, see [llms.txt](https://docs.keeper.io/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.keeper.io/keeperpam/commander-cli/command-reference/connection-commands/ssh.md).

# SSH

{% hint style="info" %}
For a full remote connection management tool that supports privileged sessions, session recording and other advanced capabilities over zero-trust cloud connections, we recommend using our [KeeperPAM platform](/keeperpam/readme.md).

This SSH capability described in Commander uses direct line-of-sight SSH connections.
{% endhint %}

## SSH

Keeper Commander can launch SSH connections utilizing content and metadata stored in a Keeper Vault record. The `ssh` command is used to make SSH connections. To use this command, pass it a record that holds the SSH connection details.

### ssh command

**Command:** `ssh`

**Detail:** Establishes connection to external server using SSH.

**Parameters:**

record UID, path to a record or hostname

{% hint style="info" %}
The SSH command is compatible with "SSH Key" and "Server" type records and prompts for confirmation before launching and before loading any SSH key from the record into your local ssh-agent.
{% endhint %}

optionally a SSH endpoint in the following format:

`LOGIN@HOST`\[:PORT]

If no record is provided to the `ssh` command, all the compatible records in your vault will be listed

### Examples

Make a connection by UID, by title or by hostname

```
ssh qTUzddtffRvsS1L8_ytO1A
ssh "SSH Connection"
ssh 10.0.160.7
```

See compatible records

{% code overflow="wrap" %}

```
My Vault> ssh
  #  Record UID              Type               Title                     Description
---  ----------------------  -----------------  ------------------------  -----------------------------------
  1  xwwCv4We6JqYaw3qMdykYw  serverCredentials  Connection                My_Login @ 10.0.160.7:3389
  2  qTUzddtffRvsS1L8_ytO1A  sshKeys            SSH Connection            My_Connection_Login @ 10.0.160.7:22
```

{% endcode %}


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.keeper.io/keeperpam/commander-cli/command-reference/connection-commands/ssh.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
